Cyberduck Mountain Duck CLI

#10065 closed enhancement (fixed)

Provide Windows Linux Subsystem Bash Support

Reported by: dkocher Owned by:
Priority: normal Milestone: 7.0
Component: core Version: 6.2.2
Severity: normal Keywords:
Cc: Architecture:
Platform: Windows 10

Description

BASH can be found in {{%SystemDrive%\Windows\System32\bash.exe}} Invoking commands in bash is done via command line parameter -c. This could be useful for any replacement of PuTTy. Things to check before falling back to PuTTy if BASH not found or SSH not installed on WSL:

  • check bash.exe existence.
  • try invoking ssh on bash.exe (monitoring Error Output)
  • if failed: Invoke PuTTy fallback.

Would be a nice nice-to-have.

Change History (3)

comment:1 Changed on Aug 30, 2017 at 2:02:29 PM by dkocher

  • Type changed from defect to enhancement

comment:2 Changed on Feb 16, 2019 at 9:58:48 PM by dkocher

  • Milestone set to 7.0

comment:3 Changed on Apr 1, 2019 at 9:31:30 AM by dkocher

  • Resolution set to fixed
  • Status changed from new to closed

In r46713.

Note: See TracTickets for help on using tickets.
swiss made software